#pragma once
#include "StickerList.h"

class CStickerDlg : public CDialog
{
	DECLARE_DYNAMIC(CStickerDlg)

public:
	CStickerDlg(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CStickerDlg();

	enum { IDD = IDD_STICKER_DLG };

	void SetStickerData(std::vector<CStickerItem*>* pStickerVector);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);

	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnPaint();

	DECLARE_MESSAGE_MAP()

private:
	void SetSkin();
	void InitControl();
	void ClearStickerGroupData();
	void ReSizeCtrl();
	void CheckPointInTabBtn(CPoint point);
	void TabSelected( CPoint point );
	int GetTabItemOnPoint(CPoint point);
	bool IsCloseMsg(MSG* pMsg);
	void SetStickerWindowPos();

	CPen m_penBorder;
	Image *m_imgTopBg;
	CStickerList m_stickerWnd;
	std::vector<CStickerGroupItem*> m_vecStickerGroup;
	CNMImgButton m_btnPrevious;
	CNMImgButton m_btnNext;
	CWnd *m_pParentChatWnd;

};
